| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RTShader::FunctionAtom Class Referenceabstract
Optional Components » RTShaderSystem

A class that represents an atomic code section of shader based program function. More...

`#include <OgreShaderFunctionAtom.h>`

Inheritance diagram for Ogre::RTShader::FunctionAtom:
[legend]

## Public Member Functions
| FunctionAtom ()
| Class default constructor. More...
virtual | ~FunctionAtom ()
| Class default destructor. More...
virtual const String & | getFunctionAtomType ()=0
| Return the type of this atom instance implementation. More...
int | getGroupExecutionOrder () const
| Get the group execution order of this function atom. More...
int | getInternalExecutionOrder () const
| Get an internal execution order within a group of this function atom. More...
virtual void | writeSourceCode (std::ostream &os, const String &targetLanguage) const =0
| Abstract method that writes a source code to the given output stream in the target shader language. More...

## Detailed Description

A class that represents an atomic code section of shader based program function.

## Constructor & Destructor Documentation

## ◆ FunctionAtom()

Ogre::RTShader::FunctionAtom::FunctionAtom | ( |  | ) |

Class default constructor.

## ◆ ~FunctionAtom()

virtual Ogre::RTShader::FunctionAtom::~FunctionAtom | ( |  | ) |
| inline virtual

Class default destructor.

## Member Function Documentation

## ◆ getGroupExecutionOrder()

int Ogre::RTShader::FunctionAtom::getGroupExecutionOrder | ( |  | ) | const

Get the group execution order of this function atom.

## ◆ getInternalExecutionOrder()

int Ogre::RTShader::FunctionAtom::getInternalExecutionOrder | ( |  | ) | const
| inline

Get an internal execution order within a group of this function atom.

## ◆ writeSourceCode()

virtual void Ogre::RTShader::FunctionAtom::writeSourceCode | ( | std::ostream & | os,
|  | const String & | targetLanguage
| ) |  | const
| pure virtual

Abstract method that writes a source code to the given output stream in the target shader language.

Implemented in Ogre::RTShader::AssignmentAtom, and Ogre::RTShader::FunctionInvocation.

## ◆ getFunctionAtomType()

virtual const String& Ogre::RTShader::FunctionAtom::getFunctionAtomType | ( |  | ) |
| pure virtual

Return the type of this atom instance implementation.

Implemented in Ogre::RTShader::AssignmentAtom, and Ogre::RTShader::FunctionInvocation.

The documentation for this class was generated from the following file:

- OgreShaderFunctionAtom.h